summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_kata/kata_setup.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-12-27 15:25:18 -0500
committerGuo Ruijing <ruijing.guo@intel.com>2017-12-27 18:05:17 -0500
commit891c0a1ab78c4c2f46424fc35c0e99fe0f475c0b (patch)
tree642678e4e5da67e4df2b0c96c6b7b64a936f6f1a /src/vagrant/kubeadm_kata/kata_setup.sh
parentc7dbc67c97d227763943e6f1b8fbf063c6775ad8 (diff)
support kata container in container4nfv
deploy k8s/weave + kata container Change-Id: I102bb6ee1ea9abaf164e62b26e3cc16e870d859a Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'src/vagrant/kubeadm_kata/kata_setup.sh')
-rw-r--r--src/vagrant/kubeadm_kata/kata_setup.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/src/vagrant/kubeadm_kata/kata_setup.sh b/src/vagrant/kubeadm_kata/kata_setup.sh
new file mode 100644
index 0000000..9682f3a
--- /dev/null
+++ b/src/vagrant/kubeadm_kata/kata_setup.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+#
+# Copyright (c) 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+wget https://storage.googleapis.com/golang/go1.8.3.linux-amd64.tar.gz
+sudo tar -xvf go1.8.3.linux-amd64.tar.gz -C /usr/local/
+mkdir -p $HOME/go/src
+export GOPATH=$HOME/go
+export PATH=$PATH:/usr/local/go/bin:$GOPATH/bin
+
+go get github.com/clearcontainers/tests
+cd $GOPATH/src/github.com/clearcontainers/tests/.ci
+
+echo "Install dependencies"
+bash -f ./setup_env_ubuntu.sh
+
+echo "Install shim"
+bash -f ./install_shim.sh
+
+echo "Install proxy"
+bash -f ./install_proxy.sh
+
+echo "Install runtime"
+bash -f ./install_runtime.sh
+
+echo "Install CRI-O"
+bash -f ./install_crio.sh
+
+sudo systemctl stop kubelet
+echo "Modify kubelet systemd configuration to use CRI-O"
+k8s_systemd_file="/etc/systemd/system/kubelet.service.d/10-kubeadm.conf"
+sudo sed -i '/KUBELET_AUTHZ_ARGS/a Environment="KUBELET_EXTRA_ARGS=--container-runtime=remote --container-runtime-endpoint=/var/run/crio.sock --runtime-request-timeout=30m"' "$k8s_systemd_file"
+sudo systemctl daemon-reload
+sudo systemctl start kubelet